Generalize wording of audio formats in the code
Closed, ResolvedPublic

Description

There are discussions going on about the use of MP3 files as audio for sheet music. However, in the code, only OGG is mentioned. Uses of "OGG" or "vorbis" in the code should be generalized to "audio" or something similar.

Bonus points to generalize messages or make generalized aliases for the override_ogg and vorbis attributes.

Ebe123 created this task.Dec 28 2017, 4:57 PM
Ebe123 triaged this task as Normal priority.
divadsn claimed this task.Dec 29 2017, 4:32 PM
divadsn added a subscriber: divadsn.

Sounds like a good task to work on, I will do it :)

Change 401113 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/extensions/Score@master] [WIP] Generalize wording of audio formats in Score.php

https://gerrit.wikimedia.org/r/401113

What should be used instead of vorbis to have it generalized? I was thinking of audio but maybe just convert?

convert is very ambiguous. I'd go with sound or audio (or anything of that genre)

Change 401113 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Generalize wording of audio formats in messages and attributes

https://gerrit.wikimedia.org/r/401113

divadsn closed this task as Resolved.Jan 2 2018, 5:18 PM

Done! Wish best of luck for future migration to other sound formats, maybe I will also contribute myself to mp3 format :)